---
title: "Resets the password for the current user"
slug: "resets-the-password-for-the-current-user"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/resets-the-password-for-the-current-user"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Resets the password for the current user
Put/api/v1/mypasswordreset
SecurityHTTPType bearer
Query parametersuserIdstringRequired
The ID of the user
Body parameters
The old password and new password
object loginpasswordstring
userpasswordstring
Responses200
OK
Expand Allobject authorizationboolean
dataobject messagestring
userObjectGUIDstring
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
400
Bad Request
Expand Allobject authorizationboolean
dataobject error_codeinteger
error_messagestring
error_statusboolean
messagestring
userObjectGUIDstring
401
Unauthorized
Expand Allobject authorizationboolean
dataobject error_codeinteger
error_messagestring
error_statusboolean
messagestring
userObjectGUIDstring
403
Forbidden - User creation is still in progress.
Expand Allobject authorizationboolean
dataobject error_codeinteger
error_messagestring
error_statusboolean
messagestring
userObjectGUIDstring
404
Not Found
Expand Allobject authorizationboolean
dataobject error_codeinteger
error_messagestring
error_statusboolean
messagestring
userObjectGUIDstring
500
Internal Server Error
Expand Allobject authorizationboolean
dataobject error_codeinteger
error_messagestring
error_statusboolean
messagestring
userObjectGUIDstring